package com.zbkj.service.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zbkj.common.model.category.Category;
import com.zbkj.common.model.system.SystemHelpProblem;
import com.zbkj.common.request.HelpRequest;
import com.zbkj.common.request.PageParamRequest;

import java.util.List;

/**
*  ArticleService 接口

*/
public interface HelpService extends IService<SystemHelpProblem> {


    /**
     * 列表
     * @param cid 分类id
     * @param pageParamRequest 分页类参数
     */
    List<SystemHelpProblem> getListHelp(String cid, PageParamRequest pageParamRequest);

    /**
     * 获取文章分类列表
     * @return List<Category>
     */
    List<Category> getCategoryList();

    /**
     * 新增
     * @param request 新增参数
     * @return Boolean
     */
    Boolean create(HelpRequest request);

    /**
     * 删除
     * @param id 文章id
     * @return Boolean
     */
    Boolean deleteById(Integer id);

    /**
     * 修改
     * @param id id
     * @param request 修改参数
     */
    Boolean updateHelp(Integer id, HelpRequest request);

    /**
     * 详情
     * @param id 文章id
     * @return Article
     */
    SystemHelpProblem getDetail(Integer id);

    /**
     * 有用/无用
     * @param id
     * @return
     */
    Boolean feedback(Integer id, Integer type);

}
